net.sf.jasperreports.engine.export

## Class GenericElementsFilterDecorator

- java.lang.Object
- - net.sf.jasperreports.engine.export.GenericElementsFilterDecorator

- All Implemented Interfaces:
    ExporterFilter, ResetableExporterFilter

      public class GenericElementsFilterDecorator
      extends java.lang.Object
      implements ResetableExporterFilter

  Version:
    $Id: GenericElementsFilterDecorator.java 6584 2013-10-14 10:05:52Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericElementsFilterDecorator(JasperReportsContext jasperReportsContext, java.lang.String exporterKey, ExporterFilter filter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isToExport(JRPrintElement element)`
    `void` | `reset()` Clears the filter's internal cache that might have built up during use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericElementsFilterDecorator

          public GenericElementsFilterDecorator(JasperReportsContext jasperReportsContext,
                                        java.lang.String exporterKey,
                                        ExporterFilter filter)

  - ### Method Detail

    - #### isToExport

          public boolean isToExport(JRPrintElement element)

      Specified by:
        `isToExport` in interface `ExporterFilter`

    - #### reset

          public void reset()

      Description copied from interface: `ResetableExporterFilter`
      Clears the filter's internal cache that might have built up during use. Filters implementing this interface usually cache data and they need to be reset before being used again.
      Specified by:
        `reset` in interface `ResetableExporterFilter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com